package mhp.oee.common.exception;

public enum ErrorCodeEnum {

    BASIC(10000),
    DATA_CODE(10001),
    DATA_DESCRIPTION(10002),
    EXISTING(10003),
    INVALID_CYCLE_TIME(10004),
    INVALID_DATE(10005),
    INVALID_INPUT_PARAM(10006),
    INVALID_ITEM(10007),
    INVALID_NUMBER(10008),
    INVALID_REASON_CODE_ALERT_UPLOAD(10009),
    INVALID_REASON_CODE(10010),
    INVALID_RESOURCE(10011),
    INVALID_RESOURCE_STATE(10012),
    INVALID_WORK_CENTER(10013),
    MANDATORY(10014),
    MULTIPLE_RECORDS_FOUND(10015),
    NO_MAINTENANCE_NOTIFICATION_OR_ORDER(10016),
    RECORD_CORRUPTION(10017),
    REGISTERATION(10018),
    UPLOAD_FILENAME(10019),
    EXISTING_RECORD(10020),
    UPDATE_ERROR(10021),
    DELETE_ERROR(10022),
    PARSE_ERROR(10023),
    INVALID_TIME(10024),
    REPEAT_TIME(10025),
    FILE_NOT_FOUND(10026),
    IO(10027),
    CREATE_ERROR(10028),
    USER_NO_AUTH(10029),
    NOT_FOUND_RECORD(10030),
    DATA_REFER(10031),
    IO_EXCEPTION(10032),
    UNKNOWN_VIEW_ACTION(10033),
    USED_ERROR(10034),
    NO_SUCH_ERROR(10035),
    PARAM_IS_NULL(10036),
    INVALID_EFFECTIVE_DATE(10038),
    INVALID_INPUTDATE(10039),
    INVALID_RELATED_FIELD(10040),
    INVALID_MODEL_LENGTH(10041),
    NOT_FOUND_PARAM_VALUE_ALL(10042),
    NOT_FOUND_PARAM_VALUE(10043),
    EFFICTIVE_DATE(10044),
    PLC_RECORD(10045),
	MULTIPLE_REASON_CODE(20001),
	IP_ERROR(10046),
	IP_CONFIG_ERROR(10047),
	RES_NOT_EXIT(10048),
    ALERT_COMMENT_USER(10049),
    SERVER_NODE(10050),

    //三位数一些常见的错误
    COMMON_SITE_NONE(101),//站点为空
    COMMON_RESOURCE_TYPE_NONE(102),//设备类型为空
    COMMON_RESOURCE_NONE(103),//设备编码为空
    COMMON_INSERT_FAILED(104),//添加记录失败
    COMMON_UPDATE_FAILED(105),//更新记录失败
    COMMON_DELETE_FAILED(106),//删除记录失败
    COMMON_NO_DATA(107),//查询无记录
    COMMON_MORETHAN_ONE(108),//查询到多条记录



    //设备数据上传
    RESOURCE_PARAM_NONE(10101),//上传参数为空
    RESOURCE_PARAM_DATETIME_NONE(10102),//时间为空
    RESOURCE_PARAM_WRITE_ERR(10103),//设备数据写入失败
    RESOURCE_PARAM_DATETIME_FORMATE_ERROR(10104),//时间格式错误
    RESOURCE_PARAM_MAPPER_EXIST(10105),
    RESOURCE_PARAM_MAPPER_KEY_NONE(10106),

    //设备实时看板
    REAL_TIME_DIMENSION_NONE(10200),//查询纬度为空
    REAL_TIME_SITE_NONE(10201),//工厂为空
    REAL_TIME_WORKAREA_NONE(10202),//生产区域为空
    REAL_TIME_LINEAREA_NONE(10203),//拉线为空
    REAL_TIME_SOURCETYPE_NONE(10204),//设备类型为空
    REAL_TIME_DIMENSIONCODE_NONE(10205),//查询纬度代码为空


    UPPC_LOGIN_ERROR(10301),//用户密码错误
    UPPC_PARAM_ERROR(10302),//参数错误



    SYSTEM_INNER_ERROR(99999);//系统内部异常


    private int errorCode;

    private ErrorCodeEnum(int errorCode) {
        this.errorCode = errorCode;
    }

    public int getErrorCode() {
        return this.errorCode;
    }

    @Override
    public String toString() {
        return String.valueOf(this.errorCode);
    }

}
